(ns gen.core
  (:require [clojure.string :as str]
            [clj-yaml.core :as yaml]
            [scan.lang.php.laravel5]))

(def
  ^{}
  run
  (fn [args]
    (scan.lang.php.laravel5/routes (first args))
    #_(println
       (yaml/generate-string
        {"openapi" "3.0.0"
         :info
         {:version 1
          :title "thing"
          :license
          {:name "MIT"}}
         :servers
         [{:url "thing"}]
         :paths
         {"/pets"
          {:get
           {:parameters
            [{:name "limit"
              :in "query"
              :description "aaaaaaaa"
              :required false
              :schema
              {:type "integer"
               :format "int32"}}]}}
          "/lists"
          {:get
           {:responses
            {"200"
             {:description "ok"}}}}}
         :spec {:lorem "ipsum" :thing true}}
        :dumper-options {:indent 2
                         :indicator-indent 1
                         :flow-style :block}))))

(comment 
  
  )

(defn -main [& argv]
  (prn (run argv)))